Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 750854 - www-client/google-chrome-86.0.4240.111 www-client/chromium-86.0.4240.111: Vulnerability in bundled FreeType (CVE-2020-15999)
Summary: www-client/google-chrome-86.0.4240.111 www-client/chromium-86.0.4240.111: Vul...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa cve]
Keywords: CC-ARCHES
Depends on:
Blocks: CVE-2020-15999
  Show dependency tree
 
Reported: 2020-10-23 15:07 UTC by Sam James
Modified: 2020-11-12 12:58 UTC (History)
1 user (show)

See Also:
Package list:
www-client/chromium-86.0.4240.111-r1
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-10-23 15:07:37 UTC
See bug 750275. Chrome had a bundled FreeType. We think we unbundle it fully in Chromium but IMO best to be safe.
Comment 1 NATTkA bot gentoo-dev 2020-10-23 15:08:50 UTC Comment hidden (obsolete)
Comment 2 Sam James archtester gentoo-dev Security 2020-10-28 22:40:11 UTC
amd64 done
Comment 3 Larry the Git Cow gentoo-dev 2020-11-06 18:09:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d3828e988df46b3997c07504bc18dd6e78a1777

commit 9d3828e988df46b3997c07504bc18dd6e78a1777
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2020-11-06 18:07:54 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2020-11-06 18:09:00 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/752375
    Bug: https://bugs.gentoo.org/750854
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |   3 -
 .../chromium/chromium-86.0.4240.111-r1.ebuild      | 892 ---------------------
 www-client/chromium/chromium-86.0.4240.75.ebuild   | 889 --------------------
 3 files changed, 1784 deletions(-)
Comment 4 NATTkA bot gentoo-dev 2020-11-06 18:13:02 UTC
Unable to check for sanity:

> no match for package: www-client/chromium-86.0.4240.111-r1
Comment 5 Mike Gilbert gentoo-dev 2020-11-06 19:30:12 UTC
Superseded by bug 752375.